Bug 29113 - Ошибка в lxc-altlinux
: Ошибка в lxc-altlinux
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lxc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-06-26 13:50 by
Modified: 2014-07-05 18:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-06-26 13:50:16
В скрипте /usr/share/lxc/templates/lxc-altlinux передаются неверные аргументы
утилите getopt из-за чего часть опций оказывается недоступна. Тривиальный патч
решающий проблему:

--- lxc-altlinux    2013-03-10 22:37:02.000000000 +0400
+++ lxc-altlinux.new    2013-06-26 13:43:06.000000000 +0400
@@ -360 +360 @@
-options=$(getopt -o hp:n:P:cR:4:6:g:d: -l
help,path:,name:,profile:,clean,release:ipv4:ipv6:gw:dns: -- "$@")
+options=$(getopt -o hp:n:P:cR:4:6:g:d: -l
help,path:,name:,profile:,clean,release:,ipv4:,ipv6:,gw:,dns: -- "$@")

P.S. Хотелось бы релиз lxc-0.9.0.
------- Comment #1 From 2013-07-01 19:25:27 -------
Ух, спасибо.
Релиз версия стояла в TODO. Сделаю в ближайшее время.
------- Comment #2 From 2014-07-05 18:35:52 -------
Fixed in lxc-1.0.4-alt1